.TH "mca_allocator_base_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_allocator_base_module_t \- The data structure for each component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <allocator.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_allocator_base_module_alloc_fn_t\fP \fBalc_alloc\fP"
.br
.RI "\fIAllocate memory. \fP"
.ti -1c
.RI "\fBmca_allocator_base_module_realloc_fn_t\fP \fBalc_realloc\fP"
.br
.RI "\fIReallocate memory. \fP"
.ti -1c
.RI "\fBmca_allocator_base_module_free_fn_t\fP \fBalc_free\fP"
.br
.RI "\fIFree memory. \fP"
.ti -1c
.RI "\fBmca_allocator_base_module_compact_fn_t\fP \fBalc_compact\fP"
.br
.RI "\fIReturn memory. \fP"
.ti -1c
.RI "\fBmca_allocator_base_module_finalize_fn_t\fP \fBalc_finalize\fP"
.br
.RI "\fIFinalize and free everything. \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_t\fP * \fBalc_mpool\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The data structure for each component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
